Endpoints챌린지

챌린지 일괄 생성

한 명의 플레이어에 대해 여러 제품의 보호자 동의 챌린지를 한 번에 생성합니다. 이를 통해 한 번의 보호자 상호작용으로 제품군 전체를 처리할 수 있습니다. 응답에는 요청한 제품별 챌린지가 담깁니다. 단일 챌린지와 마찬가지로, 챌린지가 통과하거나 실패하면 `oneTimePassword`와 `url`은 생략됩니다.

POST
/challenge/create-bulk
AuthorizationBearer <token>

In: header

Request Body

application/json

Create bulk challenges request

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/challenge/create-bulk" \  -H "Content-Type: application/json" \  -d '{    "jurisdiction": "US-CA",    "requestedProductIds": [      0    ],    "kuid": "12b9fa0e-6d6d-4903-a1fc-f2233027b71d"  }'
{  "challengeId": "ae6d4729-af32-42ea-8ef2-ff46c7664802",  "type": "CHALLENGE_PARENTAL_CONSENT",  "url": "https://example.com/challenge",  "oneTimePassword": "123456",  "childLiteAccessEnabled": true,  "kuid": "12b9fa0e-6d6d-4903-a1fc-f2233027b71d",  "jurisdiction": "US-CA",  "age": 13,  "dateOfBirth": "2005-04-15",  "otpExpiresAt": "2022-01-01T00:00:00Z",  "materialChange": {    "presentedDocuments": [      "string"    ],    "issuedAt": "2019-08-24T14:15:22Z",    "actionedAt": "2019-08-24T14:15:22Z",    "acceptanceDeadline": "2019-08-24T14:15:22Z"  },  "documents": [    {      "id": "privacy-policy",      "name": "Privacy Policy",      "url": "https://example.com/privacy",      "isDataNotice": false    }  ]}